#ifndef MARS_MLens
#define MARS_MLens

#ifndef MARS_MOptics
#include "MOptics.h"
#endif

class MQuaternion;

class MLens : public MOptics
{
private:
    Double_t fMaxR;

    void InitMaxR();

public:
    MLens(const char *name=NULL, const char *title=NULL);

    Double_t GetMaxR() const { return fMaxR; }
    Double_t GetA() const;

    virtual Bool_t CanHit(const MQuaternion &p) const;

    Int_t ExecuteOptics(MQuaternion &p, MQuaternion &u, const Short_t &) const;

    Bool_t IsValid() const { return kTRUE; }

    ClassDef(MLens, 1) // Parameter container storing the description of a lens
};
    
#endif
